/* holster.css
 * стили основных блоков сайта, его сетки
 *
 */

.l-page {
	position: relative;
  	height: auto !important;
  	height: 100%;
  	min-height: 100%;
	width: 100%;
	min-width: 1200px;
	margin: 0 auto;
    font: normal 15px opensans-regular, Tahoma, Arial, sans-serif;
    overflow: hidden;
}
	.l-page-holder {
		margin: 0 auto;
		width: 1180px;
		/*padding: 0 10px 190px;*/
		padding: 0 10px 230px;
	}
		.l-wrapper {
			width: 100%;
		}
			.l-header {
				height: 215px;
                position: relative;
			}
			.l-page:not(.l-page-main) .l-header {
				border-bottom: 1px solid #dae2e5;
			}
			.l-page:not(.l-page-catalog) .l-header {
				margin-bottom: 12px;
			}
            
            .l-main_banner {
                margin-bottom: 40px;
                border-radius: 10px;
                overflow: hidden;
                height: 338px;
				background: #4d59a1;
				border: 3px solid #4d59a1;
            }
            
			.l-page-content {
				width: 100%;
				float: left;
				overflow: hidden;
			}
				.l-content {
					margin: 0 0 0 315px;
				}
				.l-page-personal .l-content {
					margin: 0;
				}
			.l-page-left {
				float: left;
				width: 300px;
			}
            
	.l-footer {
		position: absolute;
		bottom: 0; 
		left: 0;
		width: 100%;
		//height: 170px;
		height: 210px;
        background: #3e3e3e;
        overflow: hidden;
	}

@media (max-width: 768px) {
	.l-page {
		min-width:  320px;
	}

		.l-page-holder {
			width: 100%;
			max-width: 980px;
			padding: 0 15px 200px;
			-webkit-box-sizing: border-box;
			box-sizing: border-box;
		}

			.l-header {
			    height: auto;
			    margin: 0 -15px;
			    background-color: #f7f7f7;
			}

			.l-main_banner {
		        margin: 0 -37px 0;
		        border-radius: 0;
		        height: auto;
		        padding: 0;
		        background: transparent;
		        border: none; 
			}

			.l-page-left {
			    float:  none;
			    clear: both;
			    position: relative;
			    top: 0;
			    left: 0;
			    width: 100%;
			}

			.l-content {
			    margin: 0;
			}

			.l-page-content {
			    overflow: visible;
			}

				.l-page-sidebar {
				    margin: 0;
				}

		.l-footer {
		    height: 160px;
		    display: -webkit-box;
		    display: -webkit-flex;
		    display: -ms-flexbox;
		    display: flex;
		    -webkit-box-orient: vertical;
		    -webkit-box-direction: normal;
		    -webkit-flex-flow: column wrap;
		        -ms-flex-flow: column wrap;
		            flex-flow: column wrap;
		    -webkit-box-pack: center;
		    -webkit-justify-content: center;
		        -ms-flex-pack: center;
		            justify-content: center;
		    bottom: 0;
		}
}